import { ref as _, resolveComponent as u, openBlock as l, createElementBlock as h, createBlock as c, withCtx as o, createElementVNode as f, createVNode as r, createCommentVNode as k } from "vue";
import { l as y, U as S, a9 as g } from "./index2.js";
const w = {
  name: "SModalHeader",
  props: {
    width: {
      type: [String, Number],
      default: "40%"
    },
    showFullScreen: {
      type: Boolean,
      default: !0
    }
  },
  setup(a, { attrs: e, emit: t }) {
    const n = () => {
      t("fullScreen");
    }, s = () => {
      t("reduction");
    };
    return {
      props: a,
      attrs: e,
      listeners: t,
      KldTooltip: _(),
      handleFullScreen: n,
      handleReduction: s
    };
  }
}, x = { class: "modal-custom-header" };
function B(a, e, t, n, s, C) {
  const m = u("BorderOutlined"), d = S, i = g, p = u("SwitcherOutlined");
  return l(), h("div", x, [
    t.width != "100vw" ? (l(), c(i, {
      key: 0,
      color: "#ffffff",
      placement: "bottom"
    }, {
      title: o(() => e[0] || (e[0] = [
        f("span", { style: { color: "black" } }, "全屏", -1)
      ])),
      default: o(() => [
        t.showFullScreen ? (l(), c(d, {
          key: 0,
          type: "text",
          class: "ant-modal-close",
          style: { "margin-right": "30px" },
          onClick: n.handleFullScreen
        }, {
          default: o(() => [
            r(m)
          ]),
          _: 1
        }, 8, ["onClick"])) : k("", !0)
      ]),
      _: 1
    })) : (l(), c(i, {
      key: 1,
      color: "#ffffff",
      placement: "bottom"
    }, {
      title: o(() => e[1] || (e[1] = [
        f("span", { style: { color: "black" } }, "还原", -1)
      ])),
      default: o(() => [
        r(d, {
          type: "text",
          class: "ant-modal-close",
          style: { "margin-right": "30px" },
          onClick: n.handleReduction
        }, {
          default: o(() => [
            r(p, { class: "toggle-icon" })
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }))
  ]);
}
const N = /* @__PURE__ */ y(w, [["render", B]]);
export {
  N as default
};
